conv_acc_sse.c File Reference

Accelerated Viterbi decoder implementation for architectures with only SSSE3 available. More...

`#include <stdint.h>`
`#include "config.h"`
`#include <emmintrin.h>`
`#include <tmmintrin.h>`
`#include <xmmintrin.h>`
`#include <conv_acc_sse_impl.h>`

## Macros

#define | SSE_ALIGN 16
#define | SSE_BROADCAST(M0)

## Functions

| __attribute__ ((visibility("hidden")))
| Include common SSE implementation. More...

## Detailed Description

Accelerated Viterbi decoder implementation for architectures with only SSSE3 available.

## Macro Definition Documentation

## SSE_ALIGN

#define SSE_ALIGN 16

## SSE_BROADCAST

#define SSE_BROADCAST | ( |  | M0 | ) |

Value:
{ \
M0 = _mm_unpacklo_epi16(M0, M0); \
M0 = _mm_unpacklo_epi32(M0, M0); \
M0 = _mm_unpacklo_epi64(M0, M0); \
}

## Function Documentation

## __attribute__()

__attribute__ | ( | (visibility("hidden")) |  | ) |

Include common SSE implementation.

References n, and SSE_ALIGN.